Skip to main content
GET
/
2
/
wallet
/
labels
Get wallet labels
curl --request GET \
  --url https://demo-api.mobula.io/api/2/wallet/labels
{
  "data": [
    {
      "walletAddress": "<string>",
      "labels": [
        "<string>"
      ],
      "walletMetadata": {
        "entityName": "<string>",
        "entityLogo": "<string>",
        "entityLabels": [
          "<string>"
        ],
        "entityType": "<string>",
        "entityDescription": "<string>",
        "entityTwitter": "<string>",
        "entityWebsite": "<string>",
        "entityGithub": "<string>",
        "entityDiscord": "<string>",
        "entityTelegram": "<string>"
      },
      "platform": {
        "id": "<string>",
        "name": "<string>",
        "logo": "<string>"
      },
      "fundingInfo": {
        "from": "<string>",
        "date": "<string>",
        "chainId": "<string>",
        "txHash": "<string>",
        "formattedAmount": 123,
        "currency": {
          "name": "<string>",
          "symbol": "<string>",
          "logo": "<string>",
          "decimals": 123,
          "address": "<string>"
        },
        "fromWalletTag": "<string>",
        "fromWalletLogo": "<string>"
      }
    }
  ]
}

Query Details

NameRequiredDescription
walletAddressesNoComma-separated wallet addresses (max 100)
tokenAddressNoToken address, if set, will return token-specific labels

Usage Examples

  • Query by Wallet Address
curl 'https://api.mobula.io/api/2/wallet/labels?walletAddresses=0x28c6c06298d514db089934071355e5743bf21d60'
  • Query by multiple Wallet Addresses
curl 'https://api.mobula.io/api/2/wallet/labels?walletAddresses=0x28c6c06298d514db089934071355e5743bf21d60,HFtFXatqaDqTsE4e4Cf7E8sRBx9zE7bmFzcHKCyXLzEx'
  • Query by Wallet Address & Token Address
curl 'https://api.mobula.io/api/2/wallet/labels?walletAddresses=0x28c6c06298d514db089934071355e5743bf21d60&tokenAddress=0xdac17f958d2ee523a2206206994597c13d831ec7'

Response Fields

The response includes the following fields for each wallet:
FieldDescription
walletAddressThe wallet address
labelsArray of labels (proTrader, smartTrader, freshTrader, sniper, insider, bundler, etc.)
walletMetadataEntity metadata (name, logo, type, socials) if the wallet belongs to a known entity
platformPlatform metadata (id, name, logo) if the wallet is linked to a known platform
fundingInfoFunding source information for the wallet (see below)

fundingInfo Object

FieldDescription
fromAddress that initially funded this wallet
dateDate of the funding transaction
chainIdChain where the funding occurred (e.g. evm:8453)
txHashTransaction hash of the funding transaction
formattedAmountHuman-readable amount of native currency received
currencyNative token details (name, symbol, logo, decimals, address)
fromWalletTagLabel/entity name of the funding wallet, if known
fromWalletLogoLogo of the funding wallet, if known

Query Parameters

walletAddresses
string
tokenAddress
string

Response

200 - application/json

Wallet labels response

data
object[]
required